UWinnipeg (theory PPM repo) instructions are not necessary with recent ActiveState releases

RESOLVED FIXED in Bugzilla 4.0

Status

()

Bugzilla
Installation & Upgrading
RESOLVED FIXED
7 years ago
7 years ago

People

(Reporter: Max Kanat-Alexander, Assigned: Frédéric Buclin)

Tracking

4.1.1
Bugzilla 4.0
Bug Flags:
approval +
blocking4.2 +
approval4.0 +
blocking4.0.2 +

Details

Attachments

(1 attachment)

987 bytes, patch
Max Kanat-Alexander
: review+
Details | Diff | Splinter Review
(Reporter)

Description

7 years ago
At least with ActiveState 5.12, the main ActiveState repo now has all of our optional and required dependencies, so we don't need the note about adding the uwinnipeg repo anymore.
(Assignee)

Comment 1

7 years ago
IMO a blocker as asking admins to add http://cpan.uwinnipeg.ca/PPMPackages/10xx/ is wrong as Perl modules compiled with 5.10 are not compatible with 5.12 and newer.
Flags: blocking4.2+
Flags: blocking4.0.2+
(Assignee)

Comment 2

7 years ago
Note that for ActivePerl 5.14, DBD::mysql, SOAP::Lite and Apache::SizeLimit are not yet available due to some tests which fail. Let's hope this will be fixed soon.

About Encode::Detect, Daemon::Generic, TheSchwartz and mod_perl, it looks like they never worked with ActivePerl.
(Assignee)

Comment 3

7 years ago
Created attachment 534328 [details] [diff] [review]
patch, v1
Assignee: installation → LpSolit
Status: NEW → ASSIGNED
Attachment #534328 - Flags: review?(mkanat)
(Reporter)

Updated

7 years ago
Attachment #534328 - Flags: review?(mkanat) → review+
(Assignee)

Updated

7 years ago
Flags: approval4.0+
Flags: approval+
(Assignee)

Comment 4

7 years ago
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified Bugzilla/Install/Requirements.pm
Committed revision 7820.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.0/
modified Bugzilla/Install/Requirements.pm
Committed revision 7596.
Status: ASSIGNED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.